/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ModelingInColor.DNC;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class PartyDescription {
    public void assessWithPlugInElseDefault() {
    }

    public void assessAcrossParties() {
    }

    public int findAvailable() {
        return -1;
    }

    public int calcQtyAvailable() {
        return -1;
    }

    public int calcTotalFor() {
        return -1;
    }

    public int listParties() {
        return -1;
    }

    public static int listDescs() {
        return -1;
    }

    public static int assessAcrossDescs() {
        return -1;
    }

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private Party lnkUnnamed;
    private int type;
    private int description;
    private int itemNumber;

    /** @supplierCardinality 0..1 */
    private IAssess1 lnkUnnamed1;
    private int defaultValue;
}


